2

I am quite new to Linux. After I did fresh install from iso and update system components from AppCenter() I wanted to install net-tools using apt-get.

firstly I did sudo apt-get update but got error. Screen from my vm (sorry cant install vmware tools because of apt-get problem).

enter image description here

Now I have searched quite a lot and found lot of tips leading to editing /etc/apt/sources.list but since its fresh install I think it should work OOB.

running

lsb_release -a 

returns

Distributor id: elementary
Description: elementary OS 5.0 Juno
Release: 5.0
Codename: Juno


lsb_release -a -u

returns

Distributor id: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

Please help.
Thanks

edit 1: It appears that AppCenter also fails fetching updates now. Message is the same.

2

try removing the ppa

sudo add-apt-repository --remove ppa:elementary-os/stable

and then add it again, that way you'll get the key again

sudo add-apt-repository ppa:elementary-os/stable

--

this is the repo's url

https://launchpad.net/~elementary-os/+archive/ubuntu/stable

--

if the command add-apt-repository is missing, you need to install software-properties-common

sudo apt install software-properties-common
0

Its still broken over on my system and yes I tried removing and re-adding the repository it didn't seem to do much to fix the problem.

My best guess after digging around the elementary OS Beta StackExchange is to replace the sources with bionic instead of juno to fix the issue through some sort of way I can't find yet.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.